## node-optionator 0.8.2+dfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)

LS = node_modules/livescript
LSC = node_modules/.bin/lsc
MOCHA = node_modules/.bin/mocha
MOCHA2 = node_modules/.bin/_mocha
ISTANBUL = node_modules/.bin/istanbul

package.json: package.json.ls
	$(LSC) --compile package.json.ls

lib:
	mkdir lib/

lib/%.js: src/%.ls lib
	$(LSC) --compile --output lib "$<"

.PHONY: build test coverage dev-install loc clean

all: build

build: $(LIB) package.json

test: build
	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)

coverage: build
	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)

dev-install: package.json
	npm install .

loc:
	wc -l $(SRC)

clean:
	rm -f package.json
	rm -rf lib
	rm -rf coverage

=== debian/changelog ===
node-optionator (0.8.2+dfsg-1build2) zesty; urgency=medium

  * Revert to Debian packaging (LP: #1644894)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 05:35:40 -0500

node-optionator (0.8.2+dfsg-1build1) zesty; urgency=medium

  * Bootstrap

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2016 23:13:46 -0500

node-optionator (0.8.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840453)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Oct 2016 12:30:52 +0530

=== debian/control ===
Source: node-optionator
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , livescript
 , mocha
Standards-Version: 3.9.8
Homepage: https://github.com/gkz/optionator
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-optionator.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-optionator.git

Package: node-optionator
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-wordwrap (>= 1.0.0)
 , node-deep-is (>= 0.1.3)
 , node-levn (>= 0.3.0)
 , node-type-check (>= 0.3.2)
 , node-fast-levenshtein (>= 2.0.4)
 , node-prelude-ls (>= 1.1.2)
Description: option parsing and help generation
 Optionator is a JavaScript option parsing and help generation library used by
 eslint, Grasp, LiveScript, esmangle, escodegen, and many more.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-optionator

Test-Command: make test
Depends: @

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-optionator-$1.tar.gz/ \
 https://github.com/gkz/optionator/tags .*/archive/v?([\d\.]+).tar.gz

## node-optionator 0.8.3%2Bdfsg

=== debian/changelog ===
node-optionator (0.8.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Replace old-style mocha files (Closes: #952197)

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Feb 2020 09:43:00 +0100

node-optionator (0.8.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install (≥ 0.26~)
  * Enable upstream test
  * Refresh patch, use nodepath to find livescript
  * Refresh copyright
  * Embed Node.js module: word-wrap
  * New upstream version 0.8.3+dfsg
  * Update VCS fields to salsa

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Jan 2020 14:01:54 +0100

## node-optionator 0.8.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,10 +25,10 @@
 build: $(LIB) package.json
 
 test: build
-	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)
+	$(MOCHA) --reporter dot --ui tdd --require $(LS) "test/*.ls"
 
 coverage: build
-	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)
+	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --require $(LS) "test/*.ls"
 
 dev-install: package.json
 	npm install .

=== debian/control ===
Source: node-optionator
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , livescript
 , mocha <!nocheck>
 , pkg-js-tools (>= 0.9.26~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-optionator
Vcs-Git: https://salsa.debian.org/js-team/node-optionator.git
Homepage: https://github.com/gkz/optionator
Rules-Requires-Root: no

Package: node-optionator
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-wordwrap (>= 1.0.0)
 , node-deep-is
 , node-levn
 , node-type-check
 , node-fast-levenshtein
 , node-prelude-ls
Description: option parsing and help generation
 Optionator is a JavaScript option parsing and help generation library used by
 eslint, Grasp, LiveScript, esmangle, escodegen, and many more.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	make all

=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,9 @@
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-optionator-$1.tar.gz/ \
  https://github.com/gkz/optionator/tags .*/archive/v?([\d\.]+).tar.gz
+
+opts=\
+component=word-wrap,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-word-wrap-$1.tar.gz/ \
+ https://github.com/jonschlinkert/word-wrap/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-optionator 0.9.1%2Bdfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)

LS = node_modules/livescript
LSC = node_modules/.bin/lsc
MOCHA = node_modules/.bin/mocha

package.json: package.json.ls
	$(LSC) --compile package.json.ls

lib:
	mkdir lib/

lib/%.js: src/%.ls lib
	$(LSC) --compile --output lib "$<"

.PHONY: build test dev-install loc clean

all: build

build: $(LIB) package.json

test: build
	$(MOCHA) --ui tdd --require livescript "test/**/*.ls"

dev-install: package.json
	npm install .

loc:
	wc -l $(SRC)

clean:
	rm -f package.json
	rm -rf lib

## node-optionator 0.9.1+dfsg

=== debian/changelog ===
node-optionator (0.9.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Remove dependency to nodejs
  * New upstream version 0.9.1+dfsg
  * Install word-wrap
  * Refresh patch
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 26 Dec 2020 09:51:21 +0100

=== debian/control ===
Source: node-optionator
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , livescript
 , mocha <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-optionator
Vcs-Git: https://salsa.debian.org/js-team/node-optionator.git
Homepage: https://github.com/gkz/optionator
Rules-Requires-Root: no

Package: node-optionator
Architecture: all
Depends: ${misc:Depends}
 , node-deep-is
 , node-fast-levenshtein
 , node-levn
 , node-prelude-ls
 , node-type-check
 , node-wordwrap (>= 1.0.0)
Provides: ${nodejs:Provides}
Description: option parsing and help generation
 Optionator is a JavaScript option parsing and help generation library used by
 eslint, Grasp, LiveScript, esmangle, escodegen, and many more.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	make all

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-optionator-$1.tar.gz/ \
 https://github.com/gkz/optionator/tags .*/archive/v?([\d\.]+).tar.gz

opts=\
ctype=nodejs,\
component=word-wrap,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-word-wrap-$1.tar.gz/ \
 https://github.com/jonschlinkert/word-wrap/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-optionator 0.9.1+dfsg+~cs1.2.3

=== debian/changelog ===
node-optionator (0.9.1+dfsg+~cs1.2.3-1) unstable; urgency=medium

  * Team upload
  * MA: foreign
  * Improve build process
  * Remove depends on wordwrap
  * Fix uscan

 -- Bastien Roucariès <rouca@debian.org>  Tue, 05 Oct 2021 17:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  , node-levn
  , node-prelude-ls
  , node-type-check
- , node-wordwrap (>= 1.0.0)
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: option parsing and help generation
  Optionator is a JavaScript option parsing and help generation library used by
  eslint, Grasp, LiveScript, esmangle, escodegen, and many more.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_build:
-	make all
+	$(MAKE) all

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/gkz/optionator/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
ctype=nodejs,\
component=word-wrap,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)v?(@ANY_VERSION@@ARCHIVE_EXT@)%node-word-wrap-$1% \
https://github.com/jonschlinkert/word-wrap/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@ checksum
